Time evolution graphs.
Graphical outputs.

() More...

## Functions

void | des_evol (const Evolution< double > &uu, const char *nomy=0x0, const char *title=0x0, int ngraph=0, const char *device=0x0, bool closeit=false, bool show_time=true, const char *nomx=0x0)
| Plots the variation of some quantity against time.
void | des_evol (const Evolution< double > &uu, int j_min, int j_max, const char *nomy=0x0, const char *title=0x0, int ngraph=0, const char *device=0x0, bool closeit=false, bool show_time=true, const char *nomx=0x0)
| Plots the variation of some quantity against time on a specified time interval.

## Detailed Description

()

## Function Documentation

## des_evol() [1/2]

void des_evol | ( | const Evolution< double > & | uu,
|  | const char * | nomy = 0x0,
|  | const char * | title = 0x0,
|  | int | ngraph = 0,
|  | const char * | device = 0x0,
|  | bool | closeit = false,
|  | bool | show_time = true,
|  | const char * | nomx = 0x0 )

Plots the variation of some quantity against time.

Parameters

  uu | [input] evolving scalar quantity
  nomy | [input] y legend of the figure (default value = 0x0, corresponds to no y legend)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  ngraph | [input] Index of the graphic device (in the range [0,99]) to be used for the plot: if this device has never been used or is closed, it will be opened.
  device | [input] type of PGPLOT device: 0x0 (default value) will result in interactive choice; `"/xwin"` in X-Window display; `"filename.eps/cps"` in Encapsulated PostScript output and `"/n"` in no output.
  closeit | [input] determines whether the graphic device must be closed or not after the plot has been performed
  show_time | [input] determines whether the x axis is labelled with time or with time step
  nomx | [input] x legend of the figure (default value = 0x0, corresponds to "t" if `show_time=true` and to "j" if `show_time=false` )

## des_evol() [2/2]

void des_evol | ( | const Evolution< double > & | uu,
|  | int | j_min,
|  | int | j_max,
|  | const char * | nomy = 0x0,
|  | const char * | title = 0x0,
|  | int | ngraph = 0,
|  | const char * | device = 0x0,
|  | bool | closeit = false,
|  | bool | show_time = true,
|  | const char * | nomx = 0x0 )

Plots the variation of some quantity against time on a specified time interval.

Parameters

  uu | [input] evolving scalar quantity
  j_min | [input] minimal time step for the plot
  j_max | [input] maximal time step for the plot
  nomy | [input] y legend of the figure (default value = 0x0, corresponds to no y legend)
  title | [input] title of the figure (default value = 0x0, corresponds to no title)
  ngraph | [input] Index of the graphic device (in the range [0,99]) to be used for the plot: if this device has never been used or is closed, it will be opened.
  device | [input] type of PGPLOT device: 0x0 (default value) will result in interactive choice; `"/xwin"` in X-Window display; `"filename.eps/cps"` in Encapsulated PostScript output and `"/n"` in no output.
  closeit | [input] determines whether the graphic device must be closed or not after the plot has been performed
  show_time | [input] determines whether the x axis is labelled with time or with time step
  nomx | [input] x legend of the figure (default value = 0x0, corresponds to "t" if `show_time=true` and to "j" if `show_time=false` )